Skip to main content
PATCH
/
libraries
/
{libraryId}
/
folders
/
{folderId}
/
move
Move Folder
curl --request PATCH \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_parent_id": "5df82c45-defc-4f75-9caa-535c466e9200"
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move"

payload = { "new_parent_id": "5df82c45-defc-4f75-9caa-535c466e9200" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_parent_id: '5df82c45-defc-4f75-9caa-535c466e9200'})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move"

payload := strings.NewReader("{\n \"new_parent_id\": \"5df82c45-defc-4f75-9caa-535c466e9200\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_parent_id\": \"5df82c45-defc-4f75-9caa-535c466e9200\"\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.patch("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_parent_id\": \"5df82c45-defc-4f75-9caa-535c466e9200\"\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"new_parent_id\": \"5df82c45-defc-4f75-9caa-535c466e9200\"\n}", false);
var response = await client.PatchAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/{folderId}/move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'new_parent_id' => '5df82c45-defc-4f75-9caa-535c466e9200'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "created_at": "2025-10-20T15:37:53.084332+06:00",
    "updated_at": "2025-10-20T15:38:52.963289858+06:00",
    "parent_id": "5df82c45-defc-4f75-9caa-535c466e9200",
    "name": "Folder New 2",
    "id": "a2cf2ed7-90ea-4770-9995-082bc6f96946",
    "library_id": "ed286498-36a0-48b0-9211-030ddfed2bc0"
  },
  "message": "Folder Updated Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

folderId
string
required

Unique identifier of the folder.

Body

application/json
new_parent_id
string

This will be associated as parent folder for the one we provide in the parameter.

Response

new_parent_id
string
required

new parent id for the moving folder